import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeleteEarthObservationJobInput,
  DeleteEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface DeleteEarthObservationJobCommandInput
  extends DeleteEarthObservationJobInput {}
export interface DeleteEarthObservationJobCommandOutput
  extends DeleteEarthObservationJobOutput,
    __MetadataBearer {}
declare const DeleteEarthObservationJobCommand_base: {
  new (
    input: DeleteEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEarthObservationJobCommandInput,
    DeleteEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteEarthObservationJobCommand extends DeleteEarthObservationJobCommand_base {}
