import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeleteVectorEnrichmentJobInput,
  DeleteVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface DeleteVectorEnrichmentJobCommandInput
  extends DeleteVectorEnrichmentJobInput {}
export interface DeleteVectorEnrichmentJobCommandOutput
  extends DeleteVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const DeleteVectorEnrichmentJobCommand_base: {
  new (
    input: DeleteVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteVectorEnrichmentJobCommandInput,
    DeleteVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteVectorEnrichmentJobCommand extends DeleteVectorEnrichmentJobCommand_base {}
