import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ExportVectorEnrichmentJobInput,
  ExportVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ExportVectorEnrichmentJobCommandInput
  extends ExportVectorEnrichmentJobInput {}
export interface ExportVectorEnrichmentJobCommandOutput
  extends ExportVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const ExportVectorEnrichmentJobCommand_base: {
  new (
    input: ExportVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ExportVectorEnrichmentJobCommandInput,
    ExportVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ExportVectorEnrichmentJobCommand extends ExportVectorEnrichmentJobCommand_base {}
