import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListVectorEnrichmentJobInput,
  ListVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ListVectorEnrichmentJobsCommandInput
  extends ListVectorEnrichmentJobInput {}
export interface ListVectorEnrichmentJobsCommandOutput
  extends ListVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const ListVectorEnrichmentJobsCommand_base: {
  new (
    input: ListVectorEnrichmentJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListVectorEnrichmentJobsCommandInput,
    ListVectorEnrichmentJobsCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListVectorEnrichmentJobsCommand extends ListVectorEnrichmentJobsCommand_base {}
