import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  SearchRasterDataCollectionInput,
  SearchRasterDataCollectionOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface SearchRasterDataCollectionCommandInput
  extends SearchRasterDataCollectionInput {}
export interface SearchRasterDataCollectionCommandOutput
  extends SearchRasterDataCollectionOutput,
    __MetadataBearer {}
declare const SearchRasterDataCollectionCommand_base: {
  new (
    input: SearchRasterDataCollectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    SearchRasterDataCollectionCommandInput,
    SearchRasterDataCollectionCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class SearchRasterDataCollectionCommand extends SearchRasterDataCollectionCommand_base {}
