import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetEarthObservationJobInput,
  GetEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetEarthObservationJobCommandInput
  extends GetEarthObservationJobInput {}
export interface GetEarthObservationJobCommandOutput
  extends GetEarthObservationJobOutput,
    __MetadataBearer {}
declare const GetEarthObservationJobCommand_base: {
  new (
    input: GetEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetEarthObservationJobCommandInput,
    GetEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetEarthObservationJobCommand extends GetEarthObservationJobCommand_base {}
